- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions

# QChar Class Reference

Search for all occurrences

## Detailed Description

Examples:

  MeshDisplace/displacer.cpp.

Definition at line 72 of file qchar.h.

`#include <qchar.h>`

List of all members.

## Public Types
enum | SpecialCharacter { Null = 0x0000, Nbsp = 0x00a0, ReplacementCharacter = 0xfffd, ObjectReplacementCharacter = 0xfffc, ByteOrderMark = 0xfeff, ByteOrderSwapped = 0xfffe, ParagraphSeparator = 0x2029, LineSeparator = 0x2028 }
enum | Category { NoCategory, Mark_NonSpacing, Mark_SpacingCombining, Mark_Enclosing, Number_DecimalDigit, Number_Letter, Number_Other, Separator_Space, Separator_Line, Separator_Paragraph, Other_Control, Other_Format, Other_Surrogate, Other_PrivateUse, Other_NotAssigned, Letter_Uppercase, Letter_Lowercase, Letter_Titlecase, Letter_Modifier, Letter_Other, Punctuation_Connector, Punctuation_Dash, Punctuation_Open, Punctuation_Close, Punctuation_InitialQuote, Punctuation_FinalQuote, Punctuation_Other, Symbol_Math, Symbol_Currency, Symbol_Modifier, Symbol_Other, Punctuation_Dask = Punctuation_Dash }
enum | Direction { DirL, DirR, DirEN, DirES, DirET, DirAN, DirCS, DirB, DirS, DirWS, DirON, DirLRE, DirLRO, DirAL, DirRLE, DirRLO, DirPDF, DirNSM, DirBN }
enum | Decomposition { NoDecomposition, Canonical, Font, NoBreak, Initial, Medial, Final, Isolated, Circle, Super, Sub, Vertical, Wide, Narrow, Small, Square, Compat, Fraction }
enum | Joining { OtherJoining, Dual, Right, Center }
enum | CombiningClass { Combining_BelowLeftAttached = 200, Combining_BelowAttached = 202, Combining_BelowRightAttached = 204, Combining_LeftAttached = 208, Combining_RightAttached = 210, Combining_AboveLeftAttached = 212, Combining_AboveAttached = 214, Combining_AboveRightAttached = 216, Combining_BelowLeft = 218, Combining_Below = 220, Combining_BelowRight = 222, Combining_Left = 224, Combining_Right = 226, Combining_AboveLeft = 228, Combining_Above = 230, Combining_AboveRight = 232, Combining_DoubleBelow = 233, Combining_DoubleAbove = 234, Combining_IotaSubscript = 240 }
enum | UnicodeVersion { Unicode_Unassigned, Unicode_1_1, Unicode_2_0, Unicode_2_1_2, Unicode_3_0, Unicode_3_1, Unicode_3_2, Unicode_4_0, Unicode_4_1, Unicode_5_0 }
## Public Member Functions
| QChar ()
QT_ASCII_CAST_WARN_CONSTRUCTOR | QChar (char c)
QT_ASCII_CAST_WARN_CONSTRUCTOR | QChar (uchar c)
| QChar (QLatin1Char ch)
| QChar (uchar c, uchar r)
| QChar (ushort rc)
| QChar (short rc)
| QChar (uint rc)
| QChar (int rc)
| QChar (SpecialCharacter sc)
Category | category () const
Direction | direction () const
Joining | joining () const
bool | hasMirrored () const
unsigned char | combiningClass () const
QChar | mirroredChar () const
QString | decomposition () const
Decomposition | decompositionTag () const
int | digitValue () const
QChar | toLower () const
QChar | toUpper () const
QChar | toTitleCase () const
QChar | toCaseFolded () const
UnicodeVersion | unicodeVersion () const
char | toAscii () const
char | toLatin1 () const
ushort | unicode () const
ushort & | unicode ()
bool | isNull () const
bool | isPrint () const
bool | isPunct () const
bool | isSpace () const
bool | isMark () const
bool | isLetter () const
bool | isNumber () const
bool | isLetterOrNumber () const
bool | isDigit () const
bool | isSymbol () const
bool | isLower () const
bool | isUpper () const
bool | isTitleCase () const
bool | isHighSurrogate () const
bool | isLowSurrogate () const
uchar | cell () const
uchar | row () const
void | setCell (uchar cell)
void | setRow (uchar row)
## Static Public Member Functions
static QChar | fromAscii (char c)
static QChar | fromLatin1 (char c)
static bool | isHighSurrogate (uint ucs4)
static bool | isLowSurrogate (uint ucs4)
static bool | requiresSurrogates (uint ucs4)
static uint | surrogateToUcs4 (ushort high, ushort low)
static uint | surrogateToUcs4 (QChar high, QChar low)
static ushort | highSurrogate (uint ucs4)
static ushort | lowSurrogate (uint ucs4)
static Category QT_FASTCALL | category (uint ucs4)
static Category QT_FASTCALL | category (ushort ucs2)
static Direction QT_FASTCALL | direction (uint ucs4)
static Direction QT_FASTCALL | direction (ushort ucs2)
static Joining QT_FASTCALL | joining (uint ucs4)
static Joining QT_FASTCALL | joining (ushort ucs2)
static unsigned char QT_FASTCALL | combiningClass (uint ucs4)
static unsigned char QT_FASTCALL | combiningClass (ushort ucs2)
static uint QT_FASTCALL | mirroredChar (uint ucs4)
static ushort QT_FASTCALL | mirroredChar (ushort ucs2)
static Decomposition QT_FASTCALL | decompositionTag (uint ucs4)
static int QT_FASTCALL | digitValue (uint ucs4)
static int QT_FASTCALL | digitValue (ushort ucs2)
static uint QT_FASTCALL | toLower (uint ucs4)
static ushort QT_FASTCALL | toLower (ushort ucs2)
static uint QT_FASTCALL | toUpper (uint ucs4)
static ushort QT_FASTCALL | toUpper (ushort ucs2)
static uint QT_FASTCALL | toTitleCase (uint ucs4)
static ushort QT_FASTCALL | toTitleCase (ushort ucs2)
static uint QT_FASTCALL | toCaseFolded (uint ucs4)
static ushort QT_FASTCALL | toCaseFolded (ushort ucs2)
static UnicodeVersion QT_FASTCALL | unicodeVersion (uint ucs4)
static UnicodeVersion QT_FASTCALL | unicodeVersion (ushort ucs2)
static QString QT_FASTCALL | decomposition (uint ucs4)

## Member Enumeration Documentation

enum SpecialCharacter

Search for all occurrences

Enumerator:

  Null | Search for all occurrences
  Nbsp | Search for all occurrences
  ReplacementCharacter | Search for all occurrences
  ObjectReplacementCharacter | Search for all occurrences
  ByteOrderMark | Search for all occurrences
  ByteOrderSwapped | Search for all occurrences
  ParagraphSeparator | Search for all occurrences
  LineSeparator | Search for all occurrences

Definition at line 85 of file qchar.h.

                              {
            Null = 0x0000,
            Nbsp = 0x00a0,
            ReplacementCharacter = 0xfffd,
            ObjectReplacementCharacter = 0xfffc,
            ByteOrderMark = 0xfeff,
            ByteOrderSwapped = 0xfffe,
    #ifdef QT3_SUPPORT
            null = Null,
            replacement = ReplacementCharacter,
            byteOrderMark = ByteOrderMark,
            byteOrderSwapped = ByteOrderSwapped,
            nbsp = Nbsp,
    #endif
            ParagraphSeparator = 0x2029,
            LineSeparator = 0x2028
        };

enum Category

Search for all occurrences

Enumerator:

  NoCategory | Search for all occurrences
  Mark_NonSpacing | Search for all occurrences
  Mark_SpacingCombining | Search for all occurrences
  Mark_Enclosing | Search for all occurrences
  Number_DecimalDigit | Search for all occurrences
  Number_Letter | Search for all occurrences
  Number_Other | Search for all occurrences
  Separator_Space | Search for all occurrences
  Separator_Line | Search for all occurrences
  Separator_Paragraph | Search for all occurrences
  Other_Control | Search for all occurrences
  Other_Format | Search for all occurrences
  Other_Surrogate | Search for all occurrences
  Other_PrivateUse | Search for all occurrences
  Other_NotAssigned | Search for all occurrences
  Letter_Uppercase | Search for all occurrences
  Letter_Lowercase | Search for all occurrences
  Letter_Titlecase | Search for all occurrences
  Letter_Modifier | Search for all occurrences
  Letter_Other | Search for all occurrences
  Punctuation_Connector | Search for all occurrences
  Punctuation_Dash | Search for all occurrences
  Punctuation_Open | Search for all occurrences
  Punctuation_Close | Search for all occurrences
  Punctuation_InitialQuote | Search for all occurrences
  Punctuation_FinalQuote | Search for all occurrences
  Punctuation_Other | Search for all occurrences
  Symbol_Math | Search for all occurrences
  Symbol_Currency | Search for all occurrences
  Symbol_Modifier | Search for all occurrences
  Symbol_Other | Search for all occurrences
  Punctuation_Dask | Search for all occurrences

Definition at line 106 of file qchar.h.

        {
            NoCategory,

            Mark_NonSpacing,          //   Mn
            Mark_SpacingCombining,    //   Mc
            Mark_Enclosing,           //   Me

            Number_DecimalDigit,      //   Nd
            Number_Letter,            //   Nl
            Number_Other,             //   No

            Separator_Space,          //   Zs
            Separator_Line,           //   Zl
            Separator_Paragraph,      //   Zp

            Other_Control,            //   Cc
            Other_Format,             //   Cf
            Other_Surrogate,          //   Cs
            Other_PrivateUse,         //   Co
            Other_NotAssigned,        //   Cn

            Letter_Uppercase,         //   Lu
            Letter_Lowercase,         //   Ll
            Letter_Titlecase,         //   Lt
            Letter_Modifier,          //   Lm
            Letter_Other,             //   Lo

            Punctuation_Connector,    //   Pc
            Punctuation_Dash,         //   Pd
            Punctuation_Open,         //   Ps
            Punctuation_Close,        //   Pe
            Punctuation_InitialQuote, //   Pi
            Punctuation_FinalQuote,   //   Pf
            Punctuation_Other,        //   Po

            Symbol_Math,              //   Sm
            Symbol_Currency,          //   Sc
            Symbol_Modifier,          //   Sk
            Symbol_Other,             //   So

            Punctuation_Dask = Punctuation_Dash // oops
        };

enum Direction

Search for all occurrences

Enumerator:

  DirL | Search for all occurrences
  DirR | Search for all occurrences
  DirEN | Search for all occurrences
  DirES | Search for all occurrences
  DirET | Search for all occurrences
  DirAN | Search for all occurrences
  DirCS | Search for all occurrences
  DirB | Search for all occurrences
  DirS | Search for all occurrences
  DirWS | Search for all occurrences
  DirON | Search for all occurrences
  DirLRE | Search for all occurrences
  DirLRO | Search for all occurrences
  DirAL | Search for all occurrences
  DirRLE | Search for all occurrences
  DirRLO | Search for all occurrences
  DirPDF | Search for all occurrences
  DirNSM | Search for all occurrences
  DirBN | Search for all occurrences

Definition at line 150 of file qchar.h.

        {
            DirL, DirR, DirEN, DirES, DirET, DirAN, DirCS, DirB, DirS, DirWS, DirON,
            DirLRE, DirLRO, DirAL, DirRLE, DirRLO, DirPDF, DirNSM, DirBN
        };

enum Decomposition

Search for all occurrences

Enumerator:

  NoDecomposition | Search for all occurrences
  Canonical | Search for all occurrences
  Font | Search for all occurrences
  NoBreak | Search for all occurrences
  Initial | Search for all occurrences
  Medial | Search for all occurrences
  Final | Search for all occurrences
  Isolated | Search for all occurrences
  Circle | Search for all occurrences
  Super | Search for all occurrences
  Sub | Search for all occurrences
  Vertical | Search for all occurrences
  Wide | Search for all occurrences
  Narrow | Search for all occurrences
  Small | Search for all occurrences
  Square | Search for all occurrences
  Compat | Search for all occurrences
  Fraction | Search for all occurrences

Definition at line 156 of file qchar.h.

        {
            NoDecomposition,
            Canonical,
            Font,
            NoBreak,
            Initial,
            Medial,
            Final,
            Isolated,
            Circle,
            Super,
            Sub,
            Vertical,
            Wide,
            Narrow,
            Small,
            Square,
            Compat,
            Fraction

    #ifdef QT3_SUPPORT
            , Single = NoDecomposition
    #endif
        };

enum Joining

Search for all occurrences

Enumerator:

  OtherJoining | Search for all occurrences
  Dual | Search for all occurrences
  Right | Search for all occurrences
  Center | Search for all occurrences

Definition at line 182 of file qchar.h.

        {
            OtherJoining, Dual, Right, Center
        };

enum CombiningClass

Search for all occurrences

Enumerator:

  Combining_BelowLeftAttached | Search for all occurrences
  Combining_BelowAttached | Search for all occurrences
  Combining_BelowRightAttached | Search for all occurrences
  Combining_LeftAttached | Search for all occurrences
  Combining_RightAttached | Search for all occurrences
  Combining_AboveLeftAttached | Search for all occurrences
  Combining_AboveAttached | Search for all occurrences
  Combining_AboveRightAttached | Search for all occurrences
  Combining_BelowLeft | Search for all occurrences
  Combining_Below | Search for all occurrences
  Combining_BelowRight | Search for all occurrences
  Combining_Left | Search for all occurrences
  Combining_Right | Search for all occurrences
  Combining_AboveLeft | Search for all occurrences
  Combining_Above | Search for all occurrences
  Combining_AboveRight | Search for all occurrences
  Combining_DoubleBelow | Search for all occurrences
  Combining_DoubleAbove | Search for all occurrences
  Combining_IotaSubscript | Search for all occurrences

Definition at line 187 of file qchar.h.

        {
            Combining_BelowLeftAttached       = 200,
            Combining_BelowAttached           = 202,
            Combining_BelowRightAttached      = 204,
            Combining_LeftAttached            = 208,
            Combining_RightAttached           = 210,
            Combining_AboveLeftAttached       = 212,
            Combining_AboveAttached           = 214,
            Combining_AboveRightAttached      = 216,

            Combining_BelowLeft               = 218,
            Combining_Below                   = 220,
            Combining_BelowRight              = 222,
            Combining_Left                    = 224,
            Combining_Right                   = 226,
            Combining_AboveLeft               = 228,
            Combining_Above                   = 230,
            Combining_AboveRight              = 232,

            Combining_DoubleBelow             = 233,
            Combining_DoubleAbove             = 234,
            Combining_IotaSubscript           = 240
        };

enum UnicodeVersion

Search for all occurrences

Enumerator:

  Unicode_Unassigned | Search for all occurrences
  Unicode_1_1 | Search for all occurrences
  Unicode_2_0 | Search for all occurrences
  Unicode_2_1_2 | Search for all occurrences
  Unicode_3_0 | Search for all occurrences
  Unicode_3_1 | Search for all occurrences
  Unicode_3_2 | Search for all occurrences
  Unicode_4_0 | Search for all occurrences
  Unicode_4_1 | Search for all occurrences
  Unicode_5_0 | Search for all occurrences

Definition at line 212 of file qchar.h.

                            {
            Unicode_Unassigned,
            Unicode_1_1,
            Unicode_2_0,
            Unicode_2_1_2,
            Unicode_3_0,
            Unicode_3_1,
            Unicode_3_2,
            Unicode_4_0,
            Unicode_4_1,
            Unicode_5_0
        };

## Constructor & Destructor Documentation

QChar | ( |  | ) | `[inline]`

Definition at line 365 of file qchar.h.

    : ucs(0) {}

QT_ASCII_CAST_WARN_CONSTRUCTOR QChar | ( | char | c | ) |

QT_ASCII_CAST_WARN_CONSTRUCTOR QChar | ( | uchar | c | ) |

QChar | ( | QLatin1Char | ch | ) | `[inline]`

Definition at line 379 of file qchar.h.

    : ucs(ch.unicode()) {}

QChar | ( | uchar | c,
|  | uchar | r
| ) |  | `[inline]`

Definition at line 374 of file qchar.h.

    : ucs(ushort((r << 8) | c)){}

QChar | ( | ushort | rc | ) | `[inline]`

Definition at line 81 of file qchar.h.

    : ucs(rc){}

QChar | ( | short | rc | ) | `[inline]`

Definition at line 375 of file qchar.h.

    : ucs(ushort(rc)){}

QChar | ( | uint | rc | ) | `[inline]`

Definition at line 376 of file qchar.h.

    : ucs(ushort(rc & 0xffff)){}

QChar | ( | int | rc | ) | `[inline]`

Definition at line 377 of file qchar.h.

    : ucs(ushort(rc & 0xffff)){}

QChar | ( | SpecialCharacter | sc | ) | `[inline]`

Definition at line 378 of file qchar.h.

    : ucs(ushort(s)) {}

## Member Function Documentation

Category category | ( |  | ) | const

Search for all occurrences

Direction direction | ( |  | ) | const

Search for all occurrences

Joining joining | ( |  | ) | const

Search for all occurrences

bool hasMirrored | ( |  | ) | const

Search for all occurrences

unsigned char combiningClass | ( |  | ) | const

Search for all occurrences

QChar mirroredChar | ( |  | ) | const

Search for all occurrences

QString decomposition | ( |  | ) | const

Search for all occurrences

Decomposition decompositionTag | ( |  | ) | const

Search for all occurrences

int digitValue | ( |  | ) | const

Search for all occurrences

QChar toLower | ( |  | ) | const

Search for all occurrences

QChar toUpper | ( |  | ) | const

Search for all occurrences

QChar toTitleCase | ( |  | ) | const

Search for all occurrences

QChar toCaseFolded | ( |  | ) | const

Search for all occurrences

UnicodeVersion unicodeVersion | ( |  | ) | const

Search for all occurrences

char toAscii | ( |  | ) | const

Search for all occurrences

Examples:
  MeshDisplace/displacer.cpp.

char toLatin1 | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 370 of file qchar.h.

    { return ucs > 0xff ? '\0' : char(ucs); }

ushort unicode | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 251 of file qchar.h.

    { return ucs; }

ushort& unicode | ( |  | ) | `[inline]`

Search for all occurrences

Definition at line 256 of file qchar.h.

    { return ucs; }

static QChar fromAscii | ( | char | c | ) | `[static]`

Search for all occurrences

QChar fromLatin1 | ( | char | c | ) | `[inline, static]`

Search for all occurrences

Definition at line 372 of file qchar.h.

    { return QChar(ushort(uchar(c))); }

bool isNull | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 262 of file qchar.h.

    { return ucs == 0; }

bool isPrint | ( |  | ) | const

Search for all occurrences

bool isPunct | ( |  | ) | const

Search for all occurrences

bool isSpace | ( |  | ) | const

Search for all occurrences

bool isMark | ( |  | ) | const

Search for all occurrences

bool isLetter | ( |  | ) | const

Search for all occurrences

bool isNumber | ( |  | ) | const

Search for all occurrences

bool isLetterOrNumber | ( |  | ) | const

Search for all occurrences

bool isDigit | ( |  | ) | const

Search for all occurrences

Examples:
  MeshDisplace/displacer.cpp.

bool isSymbol | ( |  | ) | const

Search for all occurrences

bool isLower | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 272 of file qchar.h.

    { return category() == Letter_Lowercase; }

bool isUpper | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 273 of file qchar.h.

    { return category() == Letter_Uppercase; }

bool isTitleCase | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 274 of file qchar.h.

    { return category() == Letter_Titlecase; }

bool isHighSurrogate | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 276 of file qchar.h.

                                            {
            return ((ucs & 0xfc00) == 0xd800);
        }

bool isLowSurrogate | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 279 of file qchar.h.

                                           {
            return ((ucs & 0xfc00) == 0xdc00);
        }

uchar cell | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 283 of file qchar.h.

    { return uchar(ucs & 0xff); }

uchar row | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 284 of file qchar.h.

    { return uchar((ucs>>8)&0xff); }

void setCell | ( | uchar | cell | ) | `[inline]`

Search for all occurrences

Definition at line 381 of file qchar.h.

    { ucs = ushort((ucs & 0xff00) + acell); }

void setRow | ( | uchar | row | ) | `[inline]`

Search for all occurrences

Definition at line 383 of file qchar.h.

    { ucs = ushort((ushort(arow)<<8) + (ucs&0xff)); }

static bool isHighSurrogate | ( | uint | ucs4 | ) | `[inline, static]`

Search for all occurrences

Definition at line 288 of file qchar.h.

                                                      {
            return ((ucs4 & 0xfffffc00) == 0xd800);
        }

static bool isLowSurrogate | ( | uint | ucs4 | ) | `[inline, static]`

Search for all occurrences

Definition at line 291 of file qchar.h.

                                                     {
            return ((ucs4 & 0xfffffc00) == 0xdc00);
        }

static bool requiresSurrogates | ( | uint | ucs4 | ) | `[inline, static]`

Search for all occurrences

Definition at line 294 of file qchar.h.

                                                         {
            return (ucs4 >= 0x10000);
        }

static uint surrogateToUcs4 | ( | ushort | high,
|  | ushort | low
| ) |  | `[inline, static]`

Search for all occurrences

Definition at line 297 of file qchar.h.

                                                                    {
            return (uint(high)<<10) + low - 0x35fdc00;
        }

static uint surrogateToUcs4 | ( | QChar | high,
|  | QChar | low
| ) |  | `[inline, static]`

Search for all occurrences

Definition at line 300 of file qchar.h.

                                                                  {
            return (uint(high.ucs)<<10) + low.ucs - 0x35fdc00;
        }

static ushort highSurrogate | ( | uint | ucs4 | ) | `[inline, static]`

Search for all occurrences

Definition at line 303 of file qchar.h.

                                                      {
            return ushort((ucs4>>10) + 0xd7c0);
        }

static ushort lowSurrogate | ( | uint | ucs4 | ) | `[inline, static]`

Search for all occurrences

Definition at line 306 of file qchar.h.

                                                     {
            return ushort(ucs4%0x400 + 0xdc00);
        }

static Category QT_FASTCALL category | ( | uint | ucs4 | ) | `[static]`

Search for all occurrences

static Category QT_FASTCALL category | ( | ushort | ucs2 | ) | `[static]`

Search for all occurrences

static Direction QT_FASTCALL direction | ( | uint | ucs4 | ) | `[static]`

Search for all occurrences

static Direction QT_FASTCALL direction | ( | ushort | ucs2 | ) | `[static]`

Search for all occurrences

static Joining QT_FASTCALL joining | ( | uint | ucs4 | ) | `[static]`

Search for all occurrences

static Joining QT_FASTCALL joining | ( | ushort | ucs2 | ) | `[static]`

Search for all occurrences

static unsigned char QT_FASTCALL combiningClass | ( | uint | ucs4 | ) | `[static]`

Search for all occurrences

static unsigned char QT_FASTCALL combiningClass | ( | ushort | ucs2 | ) | `[static]`

Search for all occurrences

static uint QT_FASTCALL mirroredChar | ( | uint | ucs4 | ) | `[static]`

Search for all occurrences

static ushort QT_FASTCALL mirroredChar | ( | ushort | ucs2 | ) | `[static]`

Search for all occurrences

static Decomposition QT_FASTCALL decompositionTag | ( | uint | ucs4 | ) | `[static]`

Search for all occurrences

static int QT_FASTCALL digitValue | ( | uint | ucs4 | ) | `[static]`

Search for all occurrences

static int QT_FASTCALL digitValue | ( | ushort | ucs2 | ) | `[static]`

Search for all occurrences

static uint QT_FASTCALL toLower | ( | uint | ucs4 | ) | `[static]`

Search for all occurrences

static ushort QT_FASTCALL toLower | ( | ushort | ucs2 | ) | `[static]`

Search for all occurrences

static uint QT_FASTCALL toUpper | ( | uint | ucs4 | ) | `[static]`

Search for all occurrences

static ushort QT_FASTCALL toUpper | ( | ushort | ucs2 | ) | `[static]`

Search for all occurrences

static uint QT_FASTCALL toTitleCase | ( | uint | ucs4 | ) | `[static]`

Search for all occurrences

static ushort QT_FASTCALL toTitleCase | ( | ushort | ucs2 | ) | `[static]`

Search for all occurrences

static uint QT_FASTCALL toCaseFolded | ( | uint | ucs4 | ) | `[static]`

Search for all occurrences

static ushort QT_FASTCALL toCaseFolded | ( | ushort | ucs2 | ) | `[static]`

Search for all occurrences

static UnicodeVersion QT_FASTCALL unicodeVersion | ( | uint | ucs4 | ) | `[static]`

Search for all occurrences

static UnicodeVersion QT_FASTCALL unicodeVersion | ( | ushort | ucs2 | ) | `[static]`

Search for all occurrences

static QString QT_FASTCALL decomposition | ( | uint | ucs4 | ) | `[static]`

Search for all occurrences

The documentation for this class was generated from the following file:

- QtCore/qchar.h

QChar QChar QChar QChar QChar QChar QChar QChar QChar QChar
QChar QChar QChar QChar QChar QChar QChar QChar QChar QChar